# $Revision: 1.179 $, $Date: 2012/04/17 16:54:37 $
Summary:	Advanced Linux Sound Architecture (ALSA) - Utils
Summary(es.UTF-8):	Utilitarios para ALSA (Advanced Linux Sound Architecture)
Summary(pl.UTF-8):	Advanced Linux Sound Architecture (ALSA) - Narzędzia
Summary(pt_BR.UTF-8):	Utilitários para o ALSA (Advanced Linux Sound Architecture)
Summary(ru.UTF-8):	Утилиты командной строки для ALSA project
Summary(uk.UTF-8):	Утиліти командного рядка для ALSA project
Name:		alsa-utils
Version:	1.0.25
Release:	2
# some apps GPL v2, some GPL v2+
License:	GPL v2
Group:		Applications/Sound
Source0:	ftp://ftp.alsa-project.org/pub/utils/%{name}-%{version}.tar.bz2
# Source0-md5:	f81f9dcb9a014fd32cb3a70066a5b9a9
Source1:	alsasound.init
# does anything use this (probably outdated) file? not alsasound.init
Source2:	alsa-oss-pcm
Source3:	alsactl.conf
Patch0:		%{name}-fast_sampling.patch
Patch1:		%{name}-modprobe.patch
URL:		http://www.alsa-project.org/
BuildRequires:	alsa-lib-devel >= 1.0.25
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.15
BuildRequires:	libsamplerate-devel >= 0.1.3
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	ncurses-ext-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	xmlto
Requires:	alsa-lib >= 1.0.25
Requires:	awk
Requires:	dialog
Requires:	diffutils
Requires:	systemd-units >= 0.38
Requires:	which
Suggests:	gpm
Obsoletes:	alsa-udev
Obsoletes:	alsaconf
Obsoletes:	udev-alsa
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This packages contains command line utilities for the ALSA project:
- alsactl - utility for store / restore of soundcard settings
- aplay/arecord - utility for playback / record of .wav, .voc, .au
  files
- amixer - a command line mixer
- alsamixer - ncurses mixer

%description -l es.UTF-8
Utilitarios para el sistema ALSA, la arquitetura avanzada de sonido
para Linux.

%description -l pl.UTF-8
Pakiet zawiera następujące, działające z linii poleceń, narzędzia dla
projektu ALSA (Advanced Linux Sound Architecture):
- alsactl - narzędzie do zapamiętywania / przywracania ustawień karty
  dźwiękowej
- aplay/arecord - narzędzia do odtwarzania / nagrywania plików .wav,
  .voc, .au
- amixer - mikser działający z linii poleceń
- alsamixer - mikser z interfejsem opartym o ncurses

%description -l pt_BR.UTF-8
Utilitários para o ALSA, a arquitetura de som avançada para o Linux.

%description -l ru.UTF-8
Этот пакет содержит утилиты командной строки для ALSA project:
- alsactl - утилита для сохранения/восстановления настроек звуковой
  карты
- aplay/arecord - утилита для записи/проигрывания файлов .wav, .voc,
  .au
- amixer - микшер, управляемый из командной строки
- alsamixer - микшер с интерфейсом ncurses

%description -l uk.UTF-8
Цей пакет містить утиліти командного рядка для ALSA project:
- alsactl - утиліта для збереження/відновлення настанов звукової карти
- aplay/arecord - утиліта для запису/програвання файлів .wav, .voc,
  .au
- amixer - мікшер, який керується з командного рядка
- alsamixer - мікшер з інтерфейсом ncurses

%package init
Summary:	Init script for Advanced Linux Sound Architecture
Summary(pl.UTF-8):	Skrypt init dla Advanced Linux Sound Architecture
Group:		Applications/Sound
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts
Obsoletes:	alsa-udev

%description init
Init script for Advanced Linux Sound Architecture.

%description init -l pl.UTF-8
Skrypt init dla Advanced Linux Sound Architecture.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
CXXFLAGS="%{rpmcxxflags} -fno-rtti -fno-exceptions"
# we need alsactl for udev as early as possible
%configure \
	--sbindir=/sbin \
	--with-systemdsystemunitdir=%{systemdunitdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/alsasound
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/alsa-oss-pcm
install -D %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/alsa/alsactl.conf

install -d $RPM_BUILD_ROOT/lib/alsa
mv $RPM_BUILD_ROOT%{_datadir}/alsa/init $RPM_BUILD_ROOT/lib/alsa

ln -s /lib/alsa/init $RPM_BUILD_ROOT%{_datadir}/alsa/init
install -d $RPM_BUILD_ROOT%{_sbindir}
ln -s /sbin/alsactl $RPM_BUILD_ROOT%{_sbindir}/alsactl

%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/arecord.1
echo ".so aplay.1" > $RPM_BUILD_ROOT%{_mandir}/man1/arecord.1

%find_lang alsa-utils --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
# this needs to be a dir
if [ -d %{_datadir}/alsa/init ]; then
	mv -b %{_datadir}/alsa/init{,.dir}
%banner -e %{name} <<EOF
Check %{_datadir}/alsa/init.dir for your own files and remove it when done.
EOF
fi

%post init
/sbin/chkconfig --add alsasound
%service alsasound restart "ALSA %{version} services"

%preun init
if [ "$1" = "0" ]; then
	%service alsasound stop
	/sbin/chkconfig --del alsasound
fi

%triggerpostun -- %{name} < 1.0.24.2-2
install -d /var/lib/alsa
if [ -f /etc/asound.state ]; then
	mv -f /etc/asound.state /var/lib/alsa/asound.state
fi

%files -f alsa-utils.lang
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) /sbin/alsaconf
%attr(755,root,root) /sbin/alsactl
%attr(755,root,root) %{_bindir}/aconnect
%attr(755,root,root) %{_bindir}/alsaloop
%attr(755,root,root) %{_bindir}/alsamixer
%attr(755,root,root) %{_bindir}/alsaucm
%attr(755,root,root) %{_bindir}/amidi
%attr(755,root,root) %{_bindir}/amixer
%attr(755,root,root) %{_bindir}/aplay
%attr(755,root,root) %{_bindir}/aplaymidi
%attr(755,root,root) %{_bindir}/arecord
%attr(755,root,root) %{_bindir}/arecordmidi
%attr(755,root,root) %{_bindir}/aseqdump
%attr(755,root,root) %{_bindir}/aseqnet
%attr(755,root,root) %{_bindir}/iecset
%attr(755,root,root) %{_bindir}/speaker-test
# symlink
%attr(755,root,root) %{_sbindir}/alsactl
%{_sysconfdir}/alsa/alsactl.conf
%{systemdunitdir}/alsa-restore.service
%{systemdunitdir}/alsa-store.service
%{systemdunitdir}/basic.target.wants/alsa-restore.service
%{systemdunitdir}/shutdown.target.wants/alsa-store.service
/lib/udev/rules.d/90-alsa-restore.rules
%dir /var/lib/alsa
%dir /lib/alsa
/lib/alsa/init
%{_datadir}/alsa/init
%{_datadir}/alsa/speaker-test
%{_datadir}/sounds/alsa
%{_mandir}/man1/aconnect.1*
%{_mandir}/man1/alsactl.1*
%{_mandir}/man1/alsaloop.1*
%{_mandir}/man1/alsamixer.1*
%{_mandir}/man1/amidi.1*
%{_mandir}/man1/amixer.1*
%{_mandir}/man1/aplay.1*
%{_mandir}/man1/aplaymidi.1*
%{_mandir}/man1/arecord.1*
%{_mandir}/man1/arecordmidi.1*
%{_mandir}/man1/aseqnet.1*
%{_mandir}/man1/aseqdump.1*
%{_mandir}/man1/iecset.1*
%{_mandir}/man1/speaker-test.1*
%{_mandir}/man7/alsactl_init.7*
%{_mandir}/man8/alsaconf.8*
%lang(fr) %{_mandir}/fr/man8/alsaconf.8*

%files init
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/alsasound
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/alsa-oss-pcm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alsa-utils.spec,v $
Revision 1.179  2012/04/17 16:54:37  baggins
- rel 2
- added systemd units
- merge udev rules into main package, there is no point in keeping them separated

Revision 1.178  2012/01/27 16:12:05  qboosh
- updated alsa-lib install time dependency

Revision 1.177  2012/01/27 10:11:20  lisu
- no more separated libtinfo(w)
- minimal version of alsa-lib-devel is 1.0.25

Revision 1.176  2012/01/27 07:48:35  arekm
- up to 1.0.25

Revision 1.175  2011/09/01 07:55:36  arekm
- release 4

Revision 1.174  2011/02/04 00:00:43  sparky
- BR: pkgconfig
- dropped unused BR: flex

Revision 1.173  2011/02/03 18:58:49  atler
- BR: alsa-lib-devel >= 1.0.24 (for alsa/use-case.h required by alsaucm)
- BR: libsamplerate-devel >= 0.1.3 (for src_int_to_float_array/src_float_to_int_array)

Revision 1.172  2011/02/03 18:43:03  atler
- move asound.state only if it exists
- rel 3

Revision 1.171  2011/02/02 17:39:00  qboosh
- use __rm macro for arecord.1

Revision 1.170  2011/02/02 17:35:29  qboosh
- BR: libsamplerate-devel, updated alsa-lib,gettext-devel versions

Revision 1.169  2011/02/02 12:21:38  arekm
- rel 2; /var/lib/alsa added

Revision 1.168  2011/01/31 19:47:29  arekm
- up to 1.0.24.2 (store via udev is gone; only restore is there)

Revision 1.167  2010/04/25 14:52:12  sls
- ver. 1.0.23

Revision 1.166  2010/04/11 09:39:40  qboosh
- more verbose bin files
- udev- subpackage

Revision 1.165  2009/12/17 19:00:43  arekm
- up to 1.0.22

Revision 1.164  2009/09/16 12:06:16  lkrotowski
- missing BR

Revision 1.163  2009/09/06 16:15:00  amateja
- updated to 1.0.21
- alsa-utils-syntax.patch is now obsoleted

Revision 1.162  2009/06/11 21:01:31  charles
- BR: xmlto

Revision 1.161  2009/06/11 19:25:48  patrys
- add patch to fix defaults syntax
- add pretrans trigger to move old dir away (can break in the same way fiel does)

Revision 1.160  2009/06/11 14:55:14  patrys
- make sound cards work by default
- move necessary utils from /prefix to /
- rel 4

Revision 1.159  2009/05/24 16:58:44  patrys
- rel 3

Revision 1.158  2009/05/24 16:57:56  patrys
- move asound.conf to alsa-lib

Revision 1.157  2009/05/17 12:23:11  hawk
- release 2

Revision 1.156  2009/05/17 08:40:44  adamg
- updated to 1.0.20

Revision 1.155  2009/01/26 09:13:49  adamg
- updated to 1.0.19

Revision 1.154  2008/11/02 12:14:07  arekm
- include more files

Revision 1.153  2008/11/02 12:10:43  arekm
- up to 1.0.18

Revision 1.152  2008/07/14 19:38:51  twittner
- up to 1.0.17

Revision 1.151  2008/06/11 15:41:12  hawk
- release 7

Revision 1.150  2008-05-30 16:02:44  glen
- release 4

Revision 1.149  2008-05-30 13:56:24  glen
- fix alsaconf generated file to be /etc/modprobe.d/sound.conf; rel 3

Revision 1.148  2008-04-27 18:44:26  glen
- release 2

Revision 1.147  2008-03-09 14:15:42  qboosh
- verbose files in -init

Revision 1.146  2008-02-11 19:54:43  qboosh
- updated to 1.0.16

Revision 1.145  2007-12-14 18:35:49  shadzik
- ups, typo

Revision 1.144  2007-12-14 18:31:58  shadzik
- S: gpm (alsaconf will fail otherwise)
- rel 3

Revision 1.143  2007-11-26 13:12:18  jpc
- added a patch allowing sampling rates > 192kHz

Revision 1.142  2007-11-19 13:47:19  arvenil
- -init Obsoletes: alsa-udev
- release 2

Revision 1.141  2007-10-22 21:32:05  arekm
- up to 1.0.15

Revision 1.140  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.139  2007/06/13 16:34:23  zytek
- updated initscript, rel 2

Revision 1.138  2007/06/05 20:15:03  rotom
- up to 1.0.14

Revision 1.137  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.136  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.135  2006/10/04 21:09:03  qboosh
- updated to 1.0.13

Revision 1.134  2006/09/17 16:40:44  glen
- updated initscript; rel 2

Revision 1.133  2006/08/26 17:15:23  qboosh
- updated to 1.0.12

Revision 1.132  2006/04/22 08:42:34  qboosh
- updated to final 1.0.11

Revision 1.131  2006/04/19 12:00:29  arekm
- up to 1.0.11 rc5

Revision 1.130  2006/03/23 19:37:37  glen
- use %service

Revision 1.129  2005/11/19 15:40:14  qboosh
- updated to final 1.0.10

Revision 1.128  2005/11/16 11:14:38  pluto
- updated to 1.0.10rc3, cxxflags fixed, find lang for alsaconf and alsautils.

Revision 1.127  2005/09/11 12:13:23  freetz
- rel.2 (fix for udev/control devices problems)

Revision 1.126  2005/06/05 12:29:20  charles
- BR: gettext-devel

Revision 1.125  2005/06/05 10:30:24  qboosh
- updated to 1.0.9a, removed obsolete alsaconf patch

Revision 1.124  2005/05/03 12:38:05  pluto
- release 2 for Th.

Revision 1.123  2005/01/18 17:20:21  paszczus
- BR: alsa-lib-devel >= %{version}

Revision 1.122  2005/01/15 17:33:47  qboosh
- include alsaconf locales (only ja currently)

Revision 1.121  2005/01/14 15:41:46  charles
- added speaker-test man pages

Revision 1.120  2005/01/14 15:30:19  charles
- updated to 1.0.8

Revision 1.119  2004/11/21 15:57:44  qboosh
- updated to 1.0.7

Revision 1.118  2004/10/24 19:57:19  paladine
- spaces->tabs
- cleanups

Revision 1.117  2004/08/16 14:35:50  pluto
- updated to 1.0.6.

Revision 1.116  2004/06/17 12:15:52  qboosh
- alsaconf R: diffutils (cmp); release 3

Revision 1.115  2004/05/30 20:10:42  havner
- rel up for alsautils.init

Revision 1.114  2004/05/30 11:27:04  arekm
- updated to 1.0.5

Revision 1.113  2004/05/20 12:44:35  qboosh
- added alsaconf patch (bash/test syntax fixes); release 2

Revision 1.112  2004/04/16 18:21:04  bszx
- updated to 1.0.4

Revision 1.111  2004/04/04 11:00:17  adamg
- Requires: awk

Revision 1.110  2004/04/04 10:47:13  adamg
- Requires: which (pointed out by Paszczus)

Revision 1.109  2004/02/29 18:32:45  grzegol
- updated to 1.0.3
- strict internal deps

Revision 1.108  2004/02/01 23:18:18  pbern
- add R:dialog... alsaconf requires it

Revision 1.107  2004/01/30 19:04:29  qboosh
- Obsoletes: alsaconf

Revision 1.106  2004/01/27 09:34:07  trojan
- updated to 1.0.2

Revision 1.105  2004/01/09 19:13:48  adgor
- 1.0.1

Revision 1.104  2003/12/07 17:15:41  bszx
- updated to 1.0.0rc2

Revision 1.103  2003/11/21 12:33:27  krzak
- BR: alsa-lib-devel >= 1.0.0

Revision 1.102  2003/11/21 10:37:34  havner
- rel up, fixed alsasound.init

Revision 1.101  2003/11/19 13:38:55  trojan
- added missing manpages

Revision 1.100  2003/11/19 10:31:36  trojan
- updated to 1.0.0pre1

Revision 1.99  2003/11/10 19:24:57  qboosh
- killed ExcludeArch

Revision 1.98  2003/11/10 04:39:02  krzak
- alsasound.init work with kernel 2.4 and 2.6
- some improvements with error messages with alsasound.init
- rel 2

Revision 1.97  2003/10/24 11:24:37  trojan
- updated to 0.9.8

Revision 1.96  2003/09/26 11:32:29  trojan
- updated to 0.9.7

Revision 1.95  2003/09/08 12:21:11  qboosh
- filename unification: renamed Source1 (alsasound) to alsasound.init
- sysconfig not renamed - non-standard syntax and seems not used at all(?)

Revision 1.94  2003/08/18 08:07:54  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.93  2003/08/06 16:08:13  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.92  2003/07/30 22:56:18  grzegol
- updated to 0.9.6

Revision 1.91  2003/07/22 15:56:59  undefine
- removed unnecessary spaces

Revision 1.90  2003/07/10 09:10:39  trojan
- updated to 0.9.5

Revision 1.89  2003/07/07 19:05:55  qboosh
- fixed "small fixes"

Revision 1.88  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.87  2003/06/02 09:46:21  trojan
- updated to 0.9.4

Revision 1.86  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.85  2003/05/25 05:45:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.84  2003/05/05 09:10:11  trojan
- updated to 0.9.3: minor enhancements

Revision 1.83  2003/03/20 10:48:59  trojan
- updated to 0.9.2

Revision 1.82  2003/03/12 08:34:01  trojan
- updated to 0.9.1

Revision 1.81  2003/03/08 08:56:49  trojan
- updated to 0.9.0rc8a

Revision 1.80  2003/03/03 06:35:12  aflinta
- updated to version 0.9.0rc8

Revision 1.79  2003/02/25 15:07:37  qboosh
- cleanup in Prereqs
- removed redundant _sysconfdir definition (/etc is default)
- removed --add-missing (__automake macro already contains -a)

Revision 1.78  2003/01/29 14:08:50  trojan
- updated to 0.9.0rc7

Revision 1.77  2002/12/09 22:00:21  klakier
- added --add-missing

Revision 1.76  2002/12/05 09:05:40  blues
- typo fixed

Revision 1.75  2002/11/18 22:09:49  aflinta
- updated to version 0.9rc6

Revision 1.74  2002/10/26 14:54:53  wrobell
- ver. 0.9.0rc5

Revision 1.73  2002/10/23 11:15:52  wrobell
- move rc scripts stuff into init subpackage
- new doc

Revision 1.72  2002/10/23 00:36:15  aflinta
- cleanups

Revision 1.71  2002/10/23 00:29:51  aflinta
- merged from DEVEL
- updated to version 0.9.0rc4

Revision 1.67.2.3  2002/08/28 22:01:35  aflinta
- updated to version 0.9.0rc3

Revision 1.67.2.2  2002/06/22 12:35:24  aflinta
- updated to version 0.9rc2
- updated alsasound init file

Revision 1.67.2.1  2002/04/28 16:46:16  aflinta
- updated to version 0.9.0rc1

Revision 1.67  2002/04/25 15:43:43  arturs
- fixed a small typo

Revision 1.66  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.65  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.64  2002/02/13 22:50:31  ankry
- added desc from KSI; adapterized
- release 2

Revision 1.63  2002/02/09 15:00:22  kloczek
- adapterized.

Revision 1.62  2002/02/09 14:41:18  mkochano
- Release 6.
- Added support for forcing non-blocking open(2) of /dev/dsp

Revision 1.61  2002/01/18 02:12:19  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.60  2002/01/17 04:48:11  kloczek
- merge translations from Conectiva.

Revision 1.59  2002/01/15 00:20:54  blues
- release 5
- rm -f missing added
- cosmetics in docs

Revision 1.58  2001/12/19 05:07:58  kloczek
- release 4.

Revision 1.57  2001/11/30 02:16:28  jack
- alsaconf needs alsa-utils - Requires added
- correct my mistake - alsa-utils doesn't need alsaconf (I guess) ;)

Revision 1.56  2001/11/29 21:46:32  jack
- Requires: alsaconf

Revision 1.55  2001/07/26 05:42:03  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.52  2001/07/23 22:22:52  saq
- A group commit:
- %define _kernel_ver and _kernel24 removed (already in rpm.macros)
- kernel modules get a @%{_kernel_ver} release suffix and conflict wrong
  kernel version
- other packages get a @%{_kernel_series} release suffix and conflict
  wrong kernel series
- need a rebuilt RPM to build these

Revision 1.51  2001/06/16 14:16:48  kloczek
- release 3.

Revision 1.50  2001/06/15 15:49:54  baggins
- back to 0.5.10

Revision 1.49  2001/05/03 09:53:06  waszi
- updated to 0.9.0beta3

Revision 1.48  2001/04/30 16:05:14  kloczek
- added using %{rpmcflags} macro.

Revision 1.47  2001/01/25 20:03:20  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.46  2001/01/19 01:58:26  kloczek
- release 2: regenerate all automake, autoconf files for allow build also
  in automake 1.4b environment.

Revision 1.45  2000/12/23 00:48:42  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.44  2000/12/07 17:53:39  kloczek
- updated to 0.5.10,
- Buildrequires: alsa-lib-devel >= 0.5.8,
- fixes in %install for use roff include istead symlink on arecord(1) man
  page.

Revision 1.43  2000/10/24 00:00:14  kloczek
- fix for passing patch to ncurses headers in CFLAGS.

Revision 1.42  2000/10/23 23:42:46  kloczek
- release 2: small fix for %{debug}.

Revision 1.41  2000/10/01 00:17:13  kloczek
- updated to 0.5.9b,
- spec adapterized and added using rpm new automation suit.

Revision 1.40  2000/08/21 21:19:58  kloczek
- updated to 0.5.9a.

Revision 1.39  2000/08/10 02:08:35  kloczek
- release 1.

Revision 1.38  2000/08/07 13:41:39  wrobell
- version 0.5.9

Revision 1.37  2000/07/30 08:57:08  kloczek
- spec adapterized.

Revision 1.36  2000/07/18 13:57:07  kloczek
- release 4,
- fix passing LDFLAGS (now binaries are stripped)..

Revision 1.35  2000/07/13 23:04:39  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.34  2000/07/13 20:35:41  baggins
- release 2

Revision 1.33  2000/06/29 11:06:01  qboosh
- changed alsa-lib to alsa-lib-devel in BuildRequires

Revision 1.32  2000/06/20 08:01:13  wiget
- typo

Revision 1.31  2000/06/20 07:58:23  wiget
- 0.5.8

Revision 1.30  2000/06/09 07:22:46  kloczek
- added using %{__make} macro.

Revision 1.29  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.28  2000/04/06 23:37:09  kloczek
- updated to 0.5.7.

Revision 1.27  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.26  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.25  2000/03/15 20:09:58  kloczek
- standarized %post, %preun,
- BuildRequires: alsa-lib >= 0.5.5,
- more rpm macros.

Revision 1.24  2000/03/15 19:02:36  kloczek
- updated to 0.5.6.

Revision 1.23  2000/03/02 22:58:24  wiget
- 0.5.5

Revision 1.22  2000/02/16 23:55:47  wiget
- 0.5.3
- fix package name

Revision 1.21  2000/02/16 13:55:44  baggins
- one big alsa.spec split into smaller parts

Revision 1.27  2000/02/07 18:28:47  baggins
- added kernelversion patch for dealing with EXTRAVERSION
- added -smp package
- rewritten %post/%pre scripts

Revision 1.26  2000/02/07 09:04:54  waszi
- updated to 0.5.2

Revision 1.25  2000/02/01 23:13:19  alchemyx
- added one more BuildRequires

Revision 1.24  2000/02/01 21:22:12  alchemyx
- more Buildrequires

Revision 1.23  2000/01/31 19:31:49  baggins
- updated to 0.5.1a

Revision 1.22  2000/01/22 21:01:40  wiget
- 0.5.1

Revision 1.21  2000/01/20 23:53:13  kloczek
- more using %configure macro (all binaries are stripped),
- beter passing LDFLAGS="-s".

Revision 1.20  2000/01/20 20:18:40  wiget
- some changes for 0.5.0 libs

Revision 1.19  2000/01/20 18:36:30  wiget
- removed xamixer and other X stuff (removed from tarball)

Revision 1.18  2000/01/20 18:31:12  kloczek
- updated to 0.5.0.

Revision 1.17  1999/12/22 04:20:29  wiget
- ExcludeArch: sparc sparc64

Revision 1.16  1999/12/21 10:48:25  wiget
- release 3

Revision 1.15  1999/12/20 15:52:05  wiget
- alsa-driver 0.4.1i

Revision 1.14  1999/12/19 18:33:25  wiget
- fix some typos

Revision 1.13  1999/12/15 22:45:13  wiget
- updated to alsa-driver-0.4.1h and alsa-lib-0.4.1e

Revision 1.12  1999/10/13 11:28:49  pius
- added --disable-gtktest to alsa-util configure options

Revision 1.11  1999/09/02 08:16:25  wiget
- BuildConflicts: alsa-lib

Revision 1.10  1999/09/02 07:44:21  wiget
- Obsoletes: alsa-lib

Revision 1.9  1999/09/02 06:28:56  wiget
- added patches to compile from one spec
- disabled isapnp support (broken, waiting for patches)

Revision 1.8  1999/08/31 13:09:12  misiek
- updated to 0.4.1 (but not tested)

Revision 1.7  1999/08/20 11:19:10  wiget
- fixed Requires

Revision 1.6  1999/08/20 09:25:59  wiget
- typo

Revision 1.5  1999/08/20 08:58:19  wiget
- last fix for all-in-one (I hope).

Revision 1.4  1999/08/20 07:13:42  wiget
- fixe for compiling from one src.rpm

Revision 1.3  1999/08/19 12:31:40  wiget
- cut changelog
